summaryrefslogtreecommitdiff
path: root/x11-wm/larswm
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /x11-wm/larswm
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'x11-wm/larswm')
-rw-r--r--x11-wm/larswm/Manifest1
-rw-r--r--x11-wm/larswm/files/larswm.desktop7
-rw-r--r--x11-wm/larswm/larswm-7.5.3-r2.ebuild52
-rw-r--r--x11-wm/larswm/metadata.xml14
4 files changed, 74 insertions, 0 deletions
diff --git a/x11-wm/larswm/Manifest b/x11-wm/larswm/Manifest
new file mode 100644
index 000000000000..f8e320d61bb9
--- /dev/null
+++ b/x11-wm/larswm/Manifest
@@ -0,0 +1 @@
+DIST larswm-7.5.3.tar.gz 84505 BLAKE2B 4548f8d757b8dc86f8bf545bc45b09f8b934792fea2a9a49d905669b767b453d007b29923fc0d7c9b4bd744f8c77e72652388bb66f51658846699d6b517f40d5 SHA512 7c99aadcc419f695b55bf0ea2f9833757c06f6ba0f00ae58e1db6e38df70bf944bac44834418bb52188d844722a7ac3c49388280c649ede073a74c21572cf3d4
diff --git a/x11-wm/larswm/files/larswm.desktop b/x11-wm/larswm/files/larswm.desktop
new file mode 100644
index 000000000000..6be965d27308
--- /dev/null
+++ b/x11-wm/larswm/files/larswm.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Version=1.0
+Name=larswm
+Comment=This session logs you into larswm
+Exec=larswm-session
+Icon=
+Type=Application
diff --git a/x11-wm/larswm/larswm-7.5.3-r2.ebuild b/x11-wm/larswm/larswm-7.5.3-r2.ebuild
new file mode 100644
index 000000000000..532c9a439f77
--- /dev/null
+++ b/x11-wm/larswm/larswm-7.5.3-r2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Tiling window manager for X11, based on 9wm by David Hogan"
+HOMEPAGE="http://www.fnurt.net/larswm/"
+SRC_URI="http://www.fnurt.net/larswm/${P}.tar.gz"
+LICENSE="9wm"
+
+SLOT="0"
+KEYWORDS="~alpha amd64 ppc ppc64 x86"
+
+RDEPEND="x11-libs/libX11
+ x11-libs/libXmu
+ x11-libs/libXt
+ x11-libs/libXext"
+DEPEND="${RDEPEND}
+ x11-base/xorg-proto
+ x11-misc/imake
+ x11-misc/gccmakedep
+ app-text/rman"
+
+src_configure() {
+ xmkmf -a || die
+}
+
+src_compile() {
+ emake \
+ CC=$(tc-getCC) \
+ CCOPTIONS="${CFLAGS}" \
+ EXTRA_LDOPTIONS="${LDFLAGS}"
+}
+
+src_install() {
+ dobin larsclock larsmenu larsremote larswm
+ newbin sample.xsession larswm-session
+ local x
+ for x in *.man; do
+ newman ${x} ${x/man/1}
+ done
+ dodoc ChangeLog README* sample.*
+
+ insinto /etc/X11
+ newins sample.larswmrc larswmrc
+ exeinto /etc/X11/Sessions
+ newexe sample.xsession larswm
+ insinto /usr/share/xsessions
+ doins "${FILESDIR}"/larswm.desktop
+}
diff --git a/x11-wm/larswm/metadata.xml b/x11-wm/larswm/metadata.xml
new file mode 100644
index 000000000000..4c2dba3cac2e
--- /dev/null
+++ b/x11-wm/larswm/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<!-- maintainer-needed -->
+<longdescription>
+ larswm is a modified version of the 9wm window manager that adds virtual
+ desktops, automatic window tiling, and many other features designed to
+ make it a highly efficient user environment. One of the design goals is
+ that you should never have to manually shuffle windows around on the
+ screen. Another is that it should use as little CPU time, RAM, and screen
+ space for itself as possible.
+ </longdescription>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>